import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class MyMapTest {

    MyMap<Object, Object> myMap=new MyMap<>();


    @Test
    public void size() {
        myMap.put(2,"sam");
        int expected=1;
        int actual= myMap.size();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void clear() {

        myMap.clear();
        boolean expected =true;
        boolean actual= myMap.isEmpty();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void containsKey() {
        myMap.put(1,23);
        boolean actual= myMap.containsKey(1);
        boolean expected =true;
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void containsValue() {

        myMap.put(1,23);
        boolean actual= myMap.containsValue(23);
        boolean expected =true;
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void get() {
        myMap.put(4,"sam");
        String expected= "sam";
        String actual= (String) myMap.get(4);
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void isEmpty() {

        myMap.clear();
        boolean expected =true;
        boolean actual= myMap.isEmpty();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void put() {
        myMap.put(2,"sam");
        int expected = 1;
        int actual= myMap.size();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void remove() {
    }
}