
public class MyMap<KeyType, ValueType> {

    MyArrayList<ValueType> values;
    MySet<KeyType> keyValue;
    int size;

    public MyMap(MyArrayList<ValueType> value, MySet<KeyType> key, int size) {
        this.values = new MyArrayList<>();
        this.keyValue = new MySet<>();
        this.size = size;
    }

    public MyMap() {
        this.values = new MyArrayList<>();
        this.keyValue = new MySet<>();
        this.size = 0;
    }

    public int size(){

        return this.size;
    }

    public void clear(){

        values.clear();
        keyValue.clear();
    }

    public Boolean containsKey(KeyType key){

        return keyValue.contains(key);
    }

    public boolean containsValue(ValueType value){

        return values.contains(value);
    }

    public ValueType get(KeyType key){

        int index= keyValue.getIndex(key);
        return values.get(index);
        }

    public boolean isEmpty(){

        if(keyValue.isEmpty() && values.isEmpty()){
            return true;
        }
        else return false;
    }

    public void put(KeyType key, ValueType value){

        if(keyValue.contains(key)){
            values.add(value);
        }
        else{
            keyValue.add(key);
            values.add(value);
        }
        size++;
    }


    public void remove(KeyType key){


    }


}
