import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class MyArrayListTest {

    MyArrayList myArrayList1=new MyArrayList(2);


    @Test
    public void sizeTest() {


        int expected= 2;
        int actual=myArrayList1.size();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void addTest() {

        MyArrayList myArrayList1=new MyArrayList(2);

        myArrayList1.add("sam");
       int expected =3;
       int actual = myArrayList1.size();
        Assert.assertEquals(expected,actual);

    }


    @Test
    public void addTestInt() {
        MyArrayList myArrayList1=new MyArrayList(3);
        myArrayList1.add(5);
        int expected =4;
        int actual = myArrayList1.size();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void addToIndexTest() {
        myArrayList1.add("abhi",5);
        int expected =6;
        int actual = myArrayList1.size();
        Assert.assertEquals(expected,actual);


    }

    @Test
    public void getTest() {

        MyArrayList myArrayList1=new MyArrayList(3);
    myArrayList1.add(6);
    Object expected =6;
    Object actual= myArrayList1.get(3);
    Assert.assertEquals(expected,actual);

    }

    @Test
    public void removeTest() {
        MyArrayList myArrayList1=new MyArrayList(2);
        myArrayList1.add(3);
        myArrayList1.add("sim");
        myArrayList1.remove("sim");
        int expected =3;
        int actual = myArrayList1.size();
        System.out.println(myArrayList1);
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void setTest() {
        Object element=2;
        myArrayList1.add(element);
        Assert.assertEquals(2,myArrayList1.set(0,element));


    }

    @Test
    public void clearTest() {

        MyArrayList myArrayList1=new MyArrayList(2);
        myArrayList1.add(3);
        int expected=0;
        myArrayList1.clear();
        Assert.assertEquals(expected,0);
    }

    @Test
    public void isEmptyTest() {
        MyArrayList myArrayList1=new MyArrayList(2);
        boolean expected= false;
        boolean actual = myArrayList1.isEmpty();
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void containsTest() {
        MyArrayList myArrayList1=new MyArrayList();
        myArrayList1.add(7);
        myArrayList1.add("ladi");
      boolean actual=  myArrayList1.contains(7);
      boolean expected =true;
      Assert.assertEquals(expected,actual);

    }


}